org.minidns.dnsmessage

## Enum DnsMessage.OPCODE

- java.lang.Object
- - java.lang.Enum<DnsMessage.OPCODE>
  - - org.minidns.dnsmessage.DnsMessage.OPCODE

- All Implemented Interfaces:
    Serializable, Comparable<DnsMessage.OPCODE>
  Enclosing class:
    DnsMessage

      public static enum DnsMessage.OPCODE
      extends Enum<DnsMessage.OPCODE>

  Symbolic DNS Opcode values.
  See Also:
    IANA Domain Name System (DNS) Paramters - DNS OpCodes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INVERSE_QUERY`
    `NOTIFY`
    `QUERY`
    `STATUS`
    `UNASSIGNED3`
    `UPDATE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DnsMessage.OPCODE` | `getOpcode(int value)` Retrieve the symbolic name of an opcode byte.
    `byte` | `getValue()` Retrieve the byte value of this opcode.
    `static DnsMessage.OPCODE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DnsMessage.OPCODE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INVERSE_QUERY

          public static final DnsMessage.OPCODE INVERSE_QUERY

    - #### NOTIFY

          public static final DnsMessage.OPCODE NOTIFY

    - #### QUERY

          public static final DnsMessage.OPCODE QUERY

    - #### STATUS

          public static final DnsMessage.OPCODE STATUS

    - #### UNASSIGNED3

          public static final DnsMessage.OPCODE UNASSIGNED3

    - #### UPDATE

          public static final DnsMessage.OPCODE UPDATE

  - ### Method Detail

    - #### getOpcode

          public static DnsMessage.OPCODE getOpcode(int value)
                                             throws IllegalArgumentException

      Retrieve the symbolic name of an opcode byte.
      Parameters:
        `value` - The byte value of the opcode.
      Returns:
        The symbolic opcode or null.
      Throws:
        `IllegalArgumentException` - If the byte value is not in the range 0..15.

    - #### getValue

          public byte getValue()

      Retrieve the byte value of this opcode.
      Returns:
        The byte value of this opcode.

    - #### valueOf

          public static DnsMessage.OPCODE valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static DnsMessage.OPCODE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DnsMessage.OPCODE c : DnsMessage.OPCODE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared